Subject: [sieve] Revised Sieve WG charter proposal

From: Aaron Stone <[email-masked]>
Date: Fri, 26 Mar 2010 11:00:21 -0700

At the IETF 77 Sieve session, consensus in the room was to recharter
with three new documents, and revised goals and completed items.

Here is the proposed charter to review:

Sieve Mail Filtering Language (sieve)
-------------------------------------

 Charter

 Current Status: Active

 Chairs:
     Cyrus Daboo <[email-masked]>
     Aaron Stone <[email-masked]>

 Applications Area Directors:
     Alexey Melnikov <[email-masked]>
     Peter Saint-Andre <[email-masked]>

 Applications Area Advisor:
     Alexey Melnikov <[email-masked]>

 Mailing Lists:
     General Discussion: [email-masked]
     To Subscribe:       [email-masked]
     Archive:
http://www.ietf.org/mail-archive/web/sieve/current/maillist.html

Description of Working Group:

  The SIEVE email filtering language is specified in RFC 5228, together
  with a number of extensions.

  The SIEVE working group is being re-chartered to:

  (1) Finish work on existing in-progress Working Group documents:
      (a) Notary (draft-freed-sieve-notary)
      (b) Notify SIP (draft-ietf-sieve-notify-sip-message)
      (c) RegEx (draft-ietf-sieve-regex)
      (d) Include/multi-script (draft-ietf-sieve-include)

  (2) Finalize and publish the following SIEVE extensions as proposed
  standards:
      (a) External lists (draft-melnikov-sieve-external-lists)
      (b) Sieve in IMAP (draft-ietf-sieve-imap-sieve)
      (c) General Auto-reply (draft-george-sieve-autoreply)
      (d) Notify presence (draft-george-sieve-notify-presence)
      (e) Vacation time (draft-george-sieve-vacation-time)

  Additional drafts may be added to this list, but only via a charter
  revision. There must also be demonstrable willingness in the SIEVE
  development community to actually implement a given extension before it
  can be added to this charter.

  (3) Work on a specification to describe how EAI/IDN issues should be
  handled in SIEVE.

  (4) Work on a "Benefits of SIEVE" guide for client and server vendors that:
      (a) Describes the SIEVE protocol and its suite of extensions.
      (b) Explains the benefits of server-side filtering in practical terms.
      (c) Shows how client-side filtering can be migrated to SIEVE.

  (5) Produce one or more informational RFCs containing a set of test
  scripts and test email messages that are to be filtered by the scripts,
  and the expected results of that filtering. This will serve as the basis
  of a interoperability test suite to help determine the suitability of
  moving the base specification and selected extensions to Draft status.

Goals and Milestones:
  Done     - Submit revised variables draft.
  Done     - Submit revised vacation draft.
  Done     - WG last call for variables draft.
  Done     - Initial submission of RFC 3028bis.
  Done     - WG last call for RFC 3028bis.
  Done     - Initial submission of revised relational draft.
  Done     - Initial submission of revised subaddress draft.
  Done     - Initial submission of revised spamtest/virustest draft.
  Done     - Submit revised editheader draft.
  Done     - Submit revised imapflags draft.
  Done     - WG last call of revised subaddress draft.
  Done     - Submit revised body test draft.
  Done     - Submit revised reject before delivery draft.
  Done     - WG last call for editheader draft.
  Done     - WG last call for body test draft.
  Done     - WG last call for refuse draft
  Done     - WG last call of revised spamtest draft
  Done     - Submit variables draft to IESG
  Done     - Submit revised loop draft
  Done     - Submit revised notification action draft
  Done     - WG last call of revised relational draft
  Done     - WG last call for imap-flags draft
  Done     - WG last call for vacation draft
  Done     - WG last call of revised subaddress draft
  Done     - Submit revised relational draft to IESG
  Done     - Submit vacation draft to IESG
  Done     - Submit revised subaddress draft to IESG
  Done     - Submit imapflags draft to IESG
  Done     - Submit revised spamtest draft to IESG
  Done     - Submit 3028bis to IESG
  Done     - Submit editheader draft to IESG
  Done     - Submit body test draft to IESG
  Done     - WG last call for notification action draft
  Done     - Submit notification action draft to IESG
  Done     - Submit refuse-reject to IESG
  Done     - Submit notify-mailto to IESG
  Done     - Submit mime-loops to IESG
  Done     - WGLC iHave
  Done     - WGLC Notary
  Done     - Submit iHave to IESG
  Done     - Submit Notary to IESG
  Done     - WGLC sieve-in-xml
  Done     - Submit sieve-in-xml to IESG
  Done     - WGLC ManageSIEVE
  Done     - Submit ManageSIEVE to IESG
  Done     - WGLC Notify-sip
  Done     - WGLC Metadata
  Done     - Submit Metadata to IESG
  Done     - Publish refuse/reject - RFC 5429
  Done     - Publish notify base spec - RFC 5435
  Done     - Publish notify mailto extension - RFC 5436
  Done     - Publish notify xmpp extension - RFC 5437
  Done     - Publish ihave - RFC 5463
  Done     - Publish meta-data - RFC 5490
  Done     - Publish mime loops - RFC 5703
  Done     - Publish Sieve in XML - RFC 5784
  Done     - Revised RegEx draft
  Apr 2010 - Revised Include/multi-script draft
  Apr 2010 - WGLC external-lists
  May 2010 - WGLC Include/multi-script
  May 2010 - Submit external-lists to IESG
  Jun 2010 - Submit Include/multi-script to IESG
  Jun 2010 - WGLC Notify-SIP
  Jul 2010 - Initial eai-issues draft
  Jul 2010 - Submit Notify-SIP to IESG
  Aug 2010 - WGLC RegEx
  Aug 2010 - Initial test-scripts draft
  Aug 2010 - Initial benefits draft
  Sep 2010 - Submit RegEx to IESG
  Oct 2010 - WGLC eai-issues
  Nov 2010 - Submit eai-issues to IESG
  Nov 2010 - WGLC benefits
  Jan 2011 - Submit benefits to IESG
  Mar 2011 - WGLC test-scripts
  Apr 2011 - Submit test-scripts to IESG

Thanks,
Aaron

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 26 Mar 2010 18:12:15 +0000

>       (a) External lists (draft-melnikov-sieve-external-lists)
This should point to draft-ietf-sieve-external-lists 
<draft-ietf-sieve-external-lists/> instead.
>       (e) Vacation time (draft-george-sieve-vacation-time)
(As an individual): Do we want to talk about possible extensions to 
extract data from iCalendar and/or vCards?

---

From: Aaron Stone <[email-masked]>
Date: Fri, 26 Mar 2010 11:22:06 -0700

> <draft-ietf-sieve-external-lists/> instead.

Updated in my doc.

> (As an individual): Do we want to talk about possible extensions to extract
> data from iCalendar and/or vCards?

Oh yes, per the vcarddav recharter discussion. There appeared to be
consensus in that thread to take up such a document in the Sieve WG.
Unless anybody objects, I will add that to the list.

Aaron

---

From: Anil SRIVASTAVA <[email-masked]>
Date: Fri, 26 Mar 2010 12:34:30 -0700 (PDT)

> data from iCalendar and/or vCards?

Yes.  
 
> _______________________________________________
> sieve mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sieve
> 

_______________
Anil SRIVASTAVA  |  [email-masked]  | Sun Microsystems, Inc